

- remove unneeded loglevel manipulation in journal_dirty_metadata()

- remove crud which was acidentally added to blkmtd.c

- use blkdev.h, not blk.h in devicemapper ioctl code.


 drivers/md/dm-ioctl-v4.c     |    2 +-
 drivers/mtd/devices/blkmtd.c |    2 +-
 fs/jbd/transaction.c         |    2 --
 3 files changed, 2 insertions(+), 4 deletions(-)

diff -puN fs/jbd/transaction.c~misc31 fs/jbd/transaction.c
--- 25/fs/jbd/transaction.c~misc31	2003-07-26 15:02:58.000000000 -0700
+++ 25-akpm/fs/jbd/transaction.c	2003-07-26 15:02:58.000000000 -0700
@@ -1088,7 +1088,6 @@ int journal_dirty_metadata(handle_t *han
 	transaction_t *transaction = handle->h_transaction;
 	journal_t *journal = transaction->t_journal;
 	struct journal_head *jh = bh2jh(bh);
-	int console_loglevel_saved = console_loglevel;
 
 	jbd_debug(5, "journal_head %p\n", jh);
 	JBUFFER_TRACE(jh, "entry");
@@ -1147,7 +1146,6 @@ out_unlock_bh:
 	jbd_unlock_bh_state(bh);
 out:
 	JBUFFER_TRACE(jh, "exit");
-	console_loglevel = console_loglevel_saved;
 	return 0;
 }
 
diff -puN drivers/mtd/devices/blkmtd.c~misc31 drivers/mtd/devices/blkmtd.c
--- 25/drivers/mtd/devices/blkmtd.c~misc31	2003-07-26 15:02:58.000000000 -0700
+++ 25-akpm/drivers/mtd/devices/blkmtd.c	2003-07-26 15:11:48.000000000 -0700
@@ -710,7 +710,7 @@ static int blkmtd_write(struct mtd_info 
   struct page **pages;
   int pagecnt = 0;
   char b[BDEVNAME_SIZE];
-21 e3 
+
   *retlen = 0;
   DEBUG(2, "blkmtd: write: dev = `%s' to = %ld len = %d buf = %p\n",
 	bdevname(rawdevice->binding, b), (long int)to, len, buf);
diff -puN drivers/md/dm-ioctl-v4.c~misc31 drivers/md/dm-ioctl-v4.c
--- 25/drivers/md/dm-ioctl-v4.c~misc31	2003-07-26 15:12:02.000000000 -0700
+++ 25-akpm/drivers/md/dm-ioctl-v4.c	2003-07-26 15:23:35.000000000 -0700
@@ -11,7 +11,7 @@
 #include <linux/miscdevice.h>
 #include <linux/init.h>
 #include <linux/wait.h>
-#include <linux/blk.h>
+#include <linux/blkdev.h>
 #include <linux/slab.h>
 #include <linux/devfs_fs_kernel.h>
 

_
